
From: Anton Blanchard <anton@samba.org>

After the spinlock rework, CONFIG_SPINLINE doesnt work and causes a compile
error.  Remove it for now.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/Kconfig.debug |   10 ----------
 25-akpm/arch/ppc64/lib/locks.c   |    4 ----
 2 files changed, 14 deletions(-)

diff -puN arch/ppc64/Kconfig.debug~ppc64-remove-spinline-config-option arch/ppc64/Kconfig.debug
--- 25/arch/ppc64/Kconfig.debug~ppc64-remove-spinline-config-option	2004-09-13 00:46:29.736907472 -0700
+++ 25-akpm/arch/ppc64/Kconfig.debug	2004-09-13 00:46:29.740906864 -0700
@@ -44,16 +44,6 @@ config IRQSTACKS
 	  for handling hard and soft interrupts.  This can help avoid
 	  overflowing the process kernel stacks.
 
-config SPINLINE
-	bool "Inline spinlock code at each call site"
-	depends on SMP && !PPC_SPLPAR && !PPC_ISERIES
-	help
-	  Say Y if you want to have the code for acquiring spinlocks
-	  and rwlocks inlined at each call site.  This makes the kernel
-	  somewhat bigger, but can be useful when profiling the kernel.
-
-	  If in doubt, say N.
-
 config SCHEDSTATS
 	bool "Collect scheduler statistics"
 	depends on DEBUG_KERNEL && PROC_FS
diff -puN arch/ppc64/lib/locks.c~ppc64-remove-spinline-config-option arch/ppc64/lib/locks.c
--- 25/arch/ppc64/lib/locks.c~ppc64-remove-spinline-config-option	2004-09-13 00:46:29.737907320 -0700
+++ 25-akpm/arch/ppc64/lib/locks.c	2004-09-13 00:46:29.741906712 -0700
@@ -20,8 +20,6 @@
 #include <asm/hvcall.h>
 #include <asm/iSeries/HvCall.h>
 
-#ifndef CONFIG_SPINLINE
-
 /* waiting for a spinlock... */
 #if defined(CONFIG_PPC_SPLPAR) || defined(CONFIG_PPC_ISERIES)
 
@@ -95,5 +93,3 @@ void spin_unlock_wait(spinlock_t *lock)
 }
 
 EXPORT_SYMBOL(spin_unlock_wait);
-
-#endif /* CONFIG_SPINLINE */
_
